Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
[Java] Class StructuredSyntaxHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          groovy.ui.text.StructuredSyntaxHandler

    public class StructuredSyntaxHandler
    extends org.xml.sax.helpers.DefaultHandler

Authors:
  Evan "Hippy" Slatis

Field Summary
`static java.lang.String` | `ALIGNMENT`
`static java.lang.String` | `ALIGN_CENTER`
`static java.lang.String` | `ALIGN_JUSTIFIED`
`static java.lang.String` | `ALIGN_LEFT`
`static java.lang.String` | `ALIGN_RIGHT`
`static java.lang.String` | `BACKGROUND`
`static java.lang.String` | `BIDI_LEVEL`
`static java.lang.String` | `BOLD`
`static java.lang.String` | `COMPONENT_ATTRIBUTE`
`static java.lang.String` | `COMPONENT_ELEMENT_NAME`
`static java.lang.String` | `COMPOSED_TEXT_ATTRIBUTE`
`static java.lang.String` | `FIRST_LINE_INDENT`
`static java.lang.String` | `FONT_FAMILY`
`static java.lang.String` | `FONT_SIZE`
`static java.lang.String` | `FOREGROUND`
`static java.lang.String` | `ICON_ATTRIBUTE`
`static java.lang.String` | `ICON_ELEMENT_NAME`
`static java.lang.String` | `ITALIC`
`static java.lang.String` | `LEFT_INDENT`
`static java.lang.String` | `LINE_SPACING`
`static java.lang.String` | `MODEL_ATTRIBUTE`
`static java.lang.String` | `NAME_ATTRIBUTE`
`static java.lang.String` | `ORIENTATION`
`static java.lang.String` | `REGEXP`
`static java.lang.String` | `RESOLVE_ATTRIBUTE`
`static java.lang.String` | `RIGHT_INDENT`
`static java.lang.String` | `SPACE_ABOVE`
`static java.lang.String` | `SPACE_BELOW`
`static java.lang.String` | `STRIKE_THROUGH`
`static java.lang.String` | `STYLE`
`static java.lang.String` | `SUBSCRIPT`
`static java.lang.String` | `SUPERSCRIPT`
`static java.lang.String` | `TAB_SET`
`static java.lang.String` | `UNDERLINE`

Constructor Summary
`StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)` Creates a new instance of MasterFrameHandler

Method Summary
`void` | `characters(char[] ch, int start, int length)` @param ch
`void` | `endDocument()` @throws SAXException
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` @param uri
`void` | `error(org.xml.sax.SAXParseException e)` @param e
`void` | `startDocument()` @throws SAXException
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, Attributes attributes)` @param uri

Methods inherited from class org.xml.sax.helpers.DefaultHandler
org.xml.sax.helpers.DefaultHandler#error(org.xml.sax.SAXParseException), org.xml.sax.helpers.DefaultHandler#warning(org.xml.sax.SAXParseException), org.xml.sax.helpers.DefaultHandler#setDocumentLocator(org.xml.sax.Locator), org.xml.sax.helpers.DefaultHandler#resolveEntity(java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#processingInstruction(java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#startDocument(), org.xml.sax.helpers.DefaultHandler#startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes), org.xml.sax.helpers.DefaultHandler#characters([C, int, int), org.xml.sax.helpers.DefaultHandler#ignorableWhitespace([C, int, int), org.xml.sax.helpers.DefaultHandler#endElement(java.lang.String, java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#endDocument(), org.xml.sax.helpers.DefaultHandler#unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#notationDecl(java.lang.String, java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#fatalError(org.xml.sax.SAXParseException), org.xml.sax.helpers.DefaultHandler#startPrefixMapping(java.lang.String, java.lang.String), org.xml.sax.helpers.DefaultHandler#endPrefixMapping(java.lang.String), org.xml.sax.helpers.DefaultHandler#skippedEntity(java.lang.String), org.xml.sax.helpers.DefaultHandler#wait(long), org.xml.sax.helpers.DefaultHandler#wait(long, int), org.xml.sax.helpers.DefaultHandler#wait(), org.xml.sax.helpers.DefaultHandler#equals(java.lang.Object), org.xml.sax.helpers.DefaultHandler#toString(), org.xml.sax.helpers.DefaultHandler#hashCode(), org.xml.sax.helpers.DefaultHandler#getClass(), org.xml.sax.helpers.DefaultHandler#notify(), org.xml.sax.helpers.DefaultHandler#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ALIGNMENT

    public static final java.lang.String ALIGNMENT

### ALIGN_CENTER

    public static final java.lang.String ALIGN_CENTER

### ALIGN_JUSTIFIED

    public static final java.lang.String ALIGN_JUSTIFIED

### ALIGN_LEFT

    public static final java.lang.String ALIGN_LEFT

### ALIGN_RIGHT

    public static final java.lang.String ALIGN_RIGHT

### BACKGROUND

    public static final java.lang.String BACKGROUND

### BIDI_LEVEL

    public static final java.lang.String BIDI_LEVEL

### BOLD

    public static final java.lang.String BOLD

### COMPONENT_ATTRIBUTE

    public static final java.lang.String COMPONENT_ATTRIBUTE

### COMPONENT_ELEMENT_NAME

    public static final java.lang.String COMPONENT_ELEMENT_NAME

### COMPOSED_TEXT_ATTRIBUTE

    public static final java.lang.String COMPOSED_TEXT_ATTRIBUTE

### FIRST_LINE_INDENT

    public static final java.lang.String FIRST_LINE_INDENT

### FONT_FAMILY

    public static final java.lang.String FONT_FAMILY

### FONT_SIZE

    public static final java.lang.String FONT_SIZE

### FOREGROUND

    public static final java.lang.String FOREGROUND

### ICON_ATTRIBUTE

    public static final java.lang.String ICON_ATTRIBUTE

### ICON_ELEMENT_NAME

    public static final java.lang.String ICON_ELEMENT_NAME

### ITALIC

    public static final java.lang.String ITALIC

### LEFT_INDENT

    public static final java.lang.String LEFT_INDENT

### LINE_SPACING

    public static final java.lang.String LINE_SPACING

### MODEL_ATTRIBUTE

    public static final java.lang.String MODEL_ATTRIBUTE

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

### ORIENTATION

    public static final java.lang.String ORIENTATION

### REGEXP

    public static final java.lang.String REGEXP

### RESOLVE_ATTRIBUTE

    public static final java.lang.String RESOLVE_ATTRIBUTE

### RIGHT_INDENT

    public static final java.lang.String RIGHT_INDENT

### SPACE_ABOVE

    public static final java.lang.String SPACE_ABOVE

### SPACE_BELOW

    public static final java.lang.String SPACE_BELOW

### STRIKE_THROUGH

    public static final java.lang.String STRIKE_THROUGH

### STYLE

    public static final java.lang.String STYLE

### SUBSCRIPT

    public static final java.lang.String SUBSCRIPT

### SUPERSCRIPT

    public static final java.lang.String SUPERSCRIPT

### TAB_SET

    public static final java.lang.String TAB_SET

### UNDERLINE

    public static final java.lang.String UNDERLINE

Constructor Detail

### StructuredSyntaxHandler

    public StructuredSyntaxHandler(StructuredSyntaxDocumentFilter filter)

  Creates a new instance of MasterFrameHandler
  Parameters:
    filter

Method Detail

### characters

    public void characters(char[] ch, int start, int length)

  Parameters:
    ch
    start
    length

### endDocument

    public void endDocument()

  throws:
    SAXException

### endElement

    public void endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)

  throws:
    SAXException
  Parameters:
    uri
    localName
    qName

### error

    public void error(org.xml.sax.SAXParseException e)

  throws:
    SAXException
  Parameters:
    e

### startDocument

    public void startDocument()

  throws:
    SAXException

### startElement

    public void startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, Attributes attributes)

  throws:
    SAXException
  Parameters:
    uri
    localName
    qName
    attributes

Groovy Documentation